/* BlinkenLib
 * Copyright (C) 2004-2011: Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a blinkenarea.org project
 */

package org.blinkenarea.BlinkenLib;

import java.awt.*;

public class BlinkenConstants
{

  public static int BlinkenHeightMin = 1;
  public static int BlinkenHeightMax = 1024;
  public static int BlinkenWidthMin = 1;
  public static int BlinkenWidthMax = 1024;
  public static int BlinkenChannelsMin = 1;
  public static int BlinkenChannelsMax = 16;
  public static int BlinkenMaxvalMin = 1;
  public static int BlinkenMaxvalMax = 255;
  public static int BlinkenDurationMin = 1;
  public static int BlinkenDurationMax = 65535;

  public static int BlinkenProtoNone = 0x6E6F6F65; // 'n' 'o' 'n' 'e'
  public static int BlinkenProtoBlp = 0x00424C50; // 0 'B' 'L' 'P'
  public static int BlinkenProtoEblp = 0x45424C50; // 'E' 'B' 'L' 'P'
  public static int BlinkenProtoMcuf = 0x4D435546; // 'M' 'C' 'U' 'F'

} //public class BlinkenConstants
